import maya.cmds as cmds

def select_hrad_edge() :
	selMesh = cmds.ls( sl= 1, o= 1 )
	eList = cmds.ls( [ x + ".e[*]" for x in selMesh ], fl= 1 )
	selList = []
	for e in eList :
		eInfo = cmds.polyInfo( e , ev= 1 )
		if eInfo[0].find( "Hard" ) != -1 :
			selList.append( e )
	if selList != [] :
		cmds.select( selList )
select_hrad_edge()